<?php

/*****************************************************************************

    Mysta - Tiny web framework.

    Copyright (C) 2012  Fabien LOISON

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

*****************************************************************************/


/**
 * @file
 *
 * This file contains functions related to the forms.
 */


require_once './lib/php-form-builder-class/class.form.php';


/**
 * Make a new form.
 *
 * @param $formname
 *   The form name.
 *
 * @return
 *   An instance of the form class.
 */
function new_form($formname)
{
	$form = new form($formname);
	$form->setAttributes(array('jsIncludesPath' => './lib/php-form-builder-class/includes'));
	return $form;
}


/**
 * Render a from.
 *
 * @param $form
 *   The form to render.
 */
function render_form($form)
{
	$form->render();
}
